<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.guadou.yyemployer">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
<!--    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES" />-->

    <!-- Provide required visibility configuration for API level 30 and above -->
    <queries>
        <intent>
            <action android:name="android.intent.action.VIEW" />
            <data android:scheme="lehuoer" />
        </intent>
        <intent>
            <action android:name="android.intent.action.VIEW" />
            <data android:scheme="https" />
        </intent>
        <intent>
            <action android:name="android.intent.action.DIAL" />
            <data android:scheme="tel" />
        </intent>
        <intent>
            <action android:name="android.intent.action.SENDTO" />
            <data android:scheme="smsto" />
        </intent>
        <intent>
            <action android:name="android.intent.action.SEND" />
            <data android:mimeType="*/*" />
        </intent>
    </queries>

    <application
        android:name=".MyApplication"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="YY Employer"
        android:networkSecurityConfig="@xml/network_security_config"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:usesCleartextTraffic="true">

        <activity
            android:name="android.app.src.main.kotlin.com.guadou.yyemployer.MainActivity"
            android:configChanges="orientation|keyboardHidden|keyboard|screenSize|smallestScreenSize|locale|layoutDirection|fontScale|screenLayout|density|uiMode"
            android:exported="true"
            android:hardwareAccelerated="true"
            android:launchMode="singleTop"
            android:theme="@style/LaunchTheme"
            android:windowSoftInputMode="adjustResize">

            <meta-data
                android:name="io.flutter.embedding.android.NormalTheme"
                android:resource="@style/NormalTheme" />

            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>

        </activity>

        <!--        <activity-->
        <!--            android:name=".RouterActivity"-->
        <!--            android:exported="true"-->
        <!--            android:launchMode="singleTop"-->
        <!--            android:theme="@style/Theme.AppCompat.Light.NoActionBar">-->

        <!--            <intent-filter>-->
        <!--                <action android:name="android.intent.action.VIEW" />-->

        <!--                <category android:name="android.intent.category.BROWSABLE" />-->
        <!--                <category android:name="android.intent.category.DEFAULT" />-->

        <!--                <data-->
        <!--                    android:host="router"-->
        <!--                    android:scheme="app" />-->
        <!--            </intent-filter>-->

        <!--        </activity>-->

        <!--    UCrop图片裁剪    -->
        <activity
            android:exported="false"
            android:name="com.yalantis.ucrop.UCropActivity"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />

        <!-- Don't delete the meta-data below.
             This is used by the Flutter tool to generate GeneratedPluginRegistrant.java -->
        <meta-data
            android:name="flutterEmbedding"
            android:value="2" />

        <!--9.0兼容http-->
        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />

        <!--本项目mate配置-->
        <meta-data
            android:name="android.max_aspect"
            android:value="2.5" />

        <meta-data
            android:name="android.webkit.WebView.EnableSafeBrowing"
            android:value="true" />


    </application>

    <queries>
        <intent>
            <action android:name="android.intent.action.SEND" />
            <data android:mimeType="image/jpeg" />
        </intent>
        <intent>
            <action android:name="android.intent.action.SEND" />
            <data android:mimeType="text/plain" />
        </intent>
    </queries>

    <!-- Android 11 使用相机适配  -->
    <queries package="com.monstarlab.yyjobs">
        <intent>
            <action android:name="android.media.action.IMAGE_CAPTURE">

            </action>
        </intent>
        <intent>
            <action android:name="android.media.action.ACTION_VIDEO_CAPTURE">

            </action>
        </intent>
    </queries>

</manifest>
